locked
Framework 3.5 RRS feed

  • Frage

  • bei dem Versuch ein offline Framework 3.5 zu installieren, bekomme ich den Hinweis, dass das Feature "Framework 3.5" installiert werden muss. Obwohl mein PC ins Internet darf kann man über Windows Update das Framework nicht herunterladen?

    nachfolgende Anleitung klappt zwar ist aber etwas umständlich. Gibt es eine einfacher Möglichkeit

    Update: Here is how to enable .Net 3.5.1 on offline systems.

    All you need is windows 8 DP installation media,

    First of all create “net35″  folder in C drive.

    Now open command prompt using Win +R,  type and execute the following command line

    xcopy H:\sources\sxs\*.* c:\net35 /s

    where H is DVD drive, it takes sometime for all files to copied you need to be patient.

    After all files are copied open command prompt with admin privileges and type and execute following command line

    Dism.exe /online /enable-feature /featurename:NetFX3 /All /Source:c:\net35 /LimitAccess


    Chris

    Mittwoch, 11. April 2012 07:37

Antworten

  • Selbiges Problem. Ich denke nicht, dass es bis auf den von dir beschriebenen Weg noch eine Möglichkeit gibt. Über Windows Update bekommst du nur das Framework 4 (bzw. die Updates).
    • Als Antwort vorgeschlagen Alex Pitulice Dienstag, 17. April 2012 07:28
    • Als Antwort markiert -- Chris -- Dienstag, 17. April 2012 07:32
    Mittwoch, 11. April 2012 09:50

Alle Antworten

  • Selbiges Problem. Ich denke nicht, dass es bis auf den von dir beschriebenen Weg noch eine Möglichkeit gibt. Über Windows Update bekommst du nur das Framework 4 (bzw. die Updates).
    • Als Antwort vorgeschlagen Alex Pitulice Dienstag, 17. April 2012 07:28
    • Als Antwort markiert -- Chris -- Dienstag, 17. April 2012 07:32
    Mittwoch, 11. April 2012 09:50
  • | Schau mal unter Systemsteuerung > Programme > "Windows Features hinzufügen", dort findest du auch .NET Framework 3.5.

    sorry, hab jetzt erst 'offline' gelesen und zuletzt gesehen, dass beim Aktivieren des Features von .NET 3.5 automatisch von Windows Update geladen wird. Normalerweise sollte eine .NET Anwendung >= 2.0 auf allen Framework Editionen laufen, notfalls mithilfe einer Assembly binding config, also wer will schon noch 3.5 wenn's 4.5 gibt ;) Also wer 1.x Anwendungen noch nicht refaktoriert und neu kompiliert hat... :)


    • Bearbeitet metadings Mittwoch, 6. Juni 2012 22:49 syntax exception
    Mittwoch, 6. Juni 2012 14:20
  • Hallo,

    ich habe auch dasselbe Problem. Ursache bei mir ist die Mitgliedschaft in einer Domäne und dem damit verbundenen Updatepfad WSUS.

    Jetzt habe ich in einigen englischsprachigen Foren schon Anleitungen zum ändern des optionalen Installationspfades mittels Gruppenrichtlinieneditors gefunden, jedoch finde ich den Schlüssel nicht.

    Wie heisst denn dieser in deutsch und unter was finde ich den. Im englischen OS wäre er unter der unten vorliegenden Anweisung zu finden:

    Gehen Sie folgendermaßen vor, um die Gruppenrichtlinien-Einstellung zu konfigurieren:
    1. Starten Sie den lokalen Gruppenrichtlinien-Editor oder der Gruppenrichtlinien-Verwaltungskonsole.
      • Erweitern Sie Computerkonfiguration, erweitern Sie Administrative Vorlagen, und wählen Sie dann auf System.
      • Öffnen Sie die Gruppenrichtlinieneinstellung Festlegen der Einstellungen für die Installation von optionalen Komponenten und Komponente reparieren , und wählen Sie dann die Option aktiviert.
      • Wenn Sie eine alternative Quelldatei im alternativen Source File Path angeben möchten, geben Sie einen voll qualifizierten Pfad eines freigegebenen Ordners, der den Inhalt des Ordners \sources\sxs vom Installationsmedium enthält. Oder geben Sie eine WIM-Datei. Um eine WIM-Datei als einen alternativen Speicherort angeben möchten, fügen Sie das Präfix WIM-Datei: auf den Pfad, und fügen Sie den Index des Bildes, das in der WIM-Datei als Suffix verwendet werden soll. Es folgen Beispiele für Werte, die Sie angeben können:
        1. Pfad für einen freigegebenen Ordner: \\server_name\share\Win8sxs
        2. Pfad einer WIM-Datei, in der 3 stellt den Index des Bildes in der Feature-Dateien gefunden werden: WIM-Datei: \\server_name\share\install.wim:3
      • Wenn es dazu anwendbar ist, aktivieren Sie das Kontrollkästchen "Kontakt Windows Update direkt zum Herunterladen von Inhalten der Reparatur anstelle von Windows Server Update Services (WSUS) ".
      • Tippen Sie oder klicken Sie aufoK.
      • Geben Sie an einer Eingabeaufforderung mit erhöhten folgenden Befehl aus, und drücken Sie dann die EINGABETASTE, um die Richtlinie sofort anwenden:
        Gpupdate/force

    Bitte, brauche dringend eine Lösung für die Domäne.

    Danke

    Andreas

    Donnerstag, 30. August 2012 07:13
  • wenn du gleich Framework 4 installiert (das beinhaltet ja 3.5) solltest du dieses Problem auch nicht haben. 

    hast du einen deutschen Server? die Anleitung von dir ist doch deutsch?


    Chris

    Donnerstag, 30. August 2012 07:41
  • Hallo Tron,

    ja, ich habe einen deutschen Server.

    .Net 4.5 ist bei mir auch installiert, aber ich benötige den 3.5 um die Citrix Funktionalität nutzen zu können. Der versucht das immer automatisch zu installieren und tut nicht ohne.

    Gruß

    Andreas

    Donnerstag, 30. August 2012 07:45